Subject: FVWM: Guaranteed Seg Fault :-)

From: [email-masked] (Todd Fries)
Date: Sun, 5 Nov 1995 08:37:10 -0600 (CST)

I smile, because I probably shouldn't be able
to do this, but a question, how would I without
typing the following command in the FvwmTalk
window?

    DestroyMenu ReReadIt
    AddToMenu ReReadIt "*fvwm2.xpm*" Nop
    + "Re-Read Menus" Read /home/todd/.fvwm/fvwm-menus

I have all my menus in 'fvwm-menus'
and every 'AddToMenu' is preceeded by a
DestroyMenu <menuname>

as in the above example.  I have a feeling that
fvwm is seg-faulting because it destroyed a menu
it wasn't done with.

So, is the above possible?  Somehow, I think it
should be possible to re-load menus w/out restarting
fvwm, and it is through FvwmTalk, but I would like
to to do it off of a menuitem.  I guess I could put
a button on 'FvwmButtons', but humor me a little;
is it possible to reload menus from a menu option?

(my gut feeling is no; a to-do list item in this case?)

-- 
Todd [email-masked]
http://www.cs.umr.edu/~tfries
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].